Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | Events | List of all members
ParameterContainerInternal Class Reference

パラメータコンテナ。 GameObjectにアタッチして使用する。 More...

Inheritance diagram for ParameterContainerInternal:

## Public Member Functions
Parameter | GetParameterFromIndex (int index)
| Parameterをインデックスから取得 More...
void | Refresh ()
| Editor only More...
Parameter | AddParam (string name, Parameter.Type type)
| パラメータを追加する。 More...
Parameter | GetParam (string name)
| 名前からパラメータを取得する。 More...
int | GetParamID (string name)
| 名前からパラメータのIDを取得する。 More...
Parameter | GetParam (int id)
| IDからパラメータを取得する。 More...
void | DeleteParam (Parameter parameter)
| パラメータを削除する。 More...
void | DeleteParam (string name)
| 名前を指定してパラメータを削除する。 More...
void | DeleteParam (int id)
| IDを指定してパラメータを削除する。 More...
string | MakeUniqueName (string name)
| 重複しない名前を生成する。 More...
bool | IsParameterType (string name, Parameter.Type type)
| パラメータの型を判定する。 More...
bool | IsParameterType (int id, Parameter.Type type)
| パラメータの型を判定する。 More...
bool | SetFloat (string name, float value)
| Float型の値を設定する。 More...
bool | SetFloat (int id, float value)
| Float型の値を設定する。 More...
bool | TryGetFloat (string name, out float value)
| Float型の値を取得する。 More...
bool | TryGetFloat (int id, out float value)
| Float型の値を取得する。 More...
float | GetFloat (string name, float defaultValue=0.0f)
| Float型の値を取得する。 More...
float | GetFloat (int id, float defaultValue=0.0f)
| Float型の値を取得する。 More...
bool | GetFloat (string name, out float value)
| Float型の値を取得する。 More...
bool | GetFloat (int id, out float value)
| Float型の値を取得する。 More...
bool | SetInt (string name, int value)
| Int型の値を設定する。 More...
bool | SetInt (int id, int value)
| Int型の値を設定する。 More...
bool | TryGetInt (string name, out int value)
| Int型の値を取得する。 More...
bool | TryGetInt (int id, out int value)
| Int型の値を取得する。 More...
int | GetInt (int id, int defaultValue=0)
| Int型の値を取得する。 More...
int | GetInt (string name, int defaultValue=0)
| Int型の値を取得する。 More...
bool | GetInt (string name, out int value)
| Int型の値を取得する。 More...
bool | GetInt (int id, out int value)
| Int型の値を取得する。 More...
bool | SetLong (string name, long value)
| Long型の値を設定する。 More...
bool | SetLong (int id, long value)
| Long型の値を設定する。 More...
bool | TryGetLong (string name, out long value)
| Long型の値を取得する。 More...
bool | TryGetLong (int id, out long value)
| Long型の値を取得する。 More...
long | GetLong (string name, long defaultValue=0L)
| Long型の値を取得する。 More...
long | GetLong (int id, long defaultValue=0L)
| Long型の値を取得する。 More...
bool | GetLong (string name, out long value)
| Long型の値を取得する。 More...
bool | GetLong (int id, out long value)
| Long型の値を取得する。 More...
bool | SetBool (string name, bool value)
| Bool型の値を設定する。 More...
bool | SetBool (int id, bool value)
| Bool型の値を設定する。 More...
bool | TryGetBool (string name, out bool value)
| Bool型の値を取得する。 More...
bool | TryGetBool (int id, out bool value)
| Bool型の値を取得する。 More...
bool | GetBool (string name, bool defaultValue=false)
| Bool型の値を取得する。 More...
bool | GetBool (int id, bool defaultValue=false)
| Bool型の値を取得する。 More...
bool | GetBool (string name, out bool value)
| Bool型の値を取得する。 More...
bool | GetBool (int id, out bool value)
| Bool型の値を取得する。 More...
bool | SetString (string name, string value)
| String型の値を設定する。 More...
bool | SetString (int id, string value)
| String型の値を設定する。 More...
bool | TryGetString (string name, out string value)
| String型の値を取得する。 More...
bool | TryGetString (int id, out string value)
| String型の値を取得する。 More...
string | GetString (string name, string defaultValue="")
| String型の値を取得する。 More...
string | GetString (int id, string defaultValue="")
| String型の値を取得する。 More...
bool | GetString (string name, out string value)
| String型の値を取得する。 More...
bool | GetString (int id, out string value)
| String型の値を取得する。 More...
bool | IsEnum (int id)
| パラメータがEnum型であるかどうかを返す。 More...
bool | IsEnum (string name)
| パラメータがEnum型であるかどうかを返す。 More...
bool | SetEnumInt (string name, int value)
| Enum型の値を設定する。 More...
bool | SetEnumInt (int id, int value)
| Enum型の値を設定する。 More...
bool | TryGetEnumInt (string name, out int value)
| Enum型の値を取得する。 More...
bool | TryGetEnumInt (int id, out int value)
| Enum型の値を取得する。 More...
int | GetEnumInt (string name, int defaultValue=default(int))
| Enum型の値を取得する。 More...
int | GetEnumInt (int id, int defaultValue=default(int))
| Enum型の値を取得する。 More...
bool | SetEnum (string name, System.Enum value)
| Enum型の値を設定する。 More...
bool | SetEnum (int id, System.Enum value)
| Enum型の値を設定する。 More...
bool | TryGetEnum (string name, out System.Enum value)
| Enum型の値を取得する。 More...
bool | TryGetEnum (int id, out System.Enum value)
| Enum型の値を取得する。 More...
System.Enum | GetEnum (string name, System.Enum defaultValue=null)
| Enum型の値を取得する。 More...
System.Enum | GetEnum (int id, System.Enum defaultValue=null)
| Enum型の値を取得する。 More...
bool | SetEnum< TEnum > (string name, TEnum value)
| Enum型の値を設定する。 More...
bool | SetEnum< TEnum > (int id, TEnum value)
| Enum型の値を設定する。 More...
bool | TryGetEnum< TEnum > (string name, out TEnum value)
| Enum型の値を取得する。 More...
bool | TryGetEnum< TEnum > (int id, out TEnum value)
| Enum型の値を取得する。 More...
TEnum | GetEnum< TEnum > (string name, TEnum defaultValue)
| Enum型の値を取得する。 More...
TEnum | GetEnum< TEnum > (string name)
| Enum型の値を取得する。 More...
TEnum | GetEnum< TEnum > (int id, TEnum defaultValue)
| Enum型の値を取得する。 More...
TEnum | GetEnum< TEnum > (int id)
| Enum型の値を取得する。 More...
bool | SetVector2 (string name, Vector2 value)
| Vector2型の値を設定する。 More...
bool | SetVector2 (int id, Vector2 value)
| Vector2型の値を設定する。 More...
bool | TryGetVector2 (string name, out Vector2 value)
| Vector2型の値を取得する。 More...
bool | TryGetVector2 (int id, out Vector2 value)
| Vector2型の値を取得する。 More...
Vector2 | GetVector2 (string name, Vector2 defaultValue)
| Vector2型の値を取得する。 More...
Vector2 | GetVector2 (string name)
| Vector2型の値を取得する。 More...
Vector2 | GetVector2 (int id, Vector2 defaultValue)
| Vector2型の値を取得する。 More...
Vector2 | GetVector2 (int id)
| Vector2型の値を取得する。 More...
bool | GetVector2 (string name, out Vector2 value)
| Vector2型の値を取得する。 More...
bool | GetVector2 (int id, out Vector2 value)
| Vector2型の値を取得する。 More...
bool | SetVector3 (string name, Vector3 value)
| Vector3型の値を設定する。 More...
bool | SetVector3 (int id, Vector3 value)
| Vector3型の値を設定する。 More...
bool | TryGetVector3 (string name, out Vector3 value)
| Vector3型の値を取得する。 More...
bool | TryGetVector3 (int id, out Vector3 value)
| Vector3型の値を取得する。 More...
Vector3 | GetVector3 (string name, Vector3 defaultValue)
| Vector3型の値を取得する。 More...
Vector3 | GetVector3 (string name)
| Vector3型の値を取得する。 More...
Vector3 | GetVector3 (int id, Vector3 defaultValue)
| Vector3型の値を取得する。 More...
Vector3 | GetVector3 (int id)
| Vector3型の値を取得する。 More...
bool | GetVector3 (string name, out Vector3 value)
| Vector3型の値を取得する。 More...
bool | GetVector3 (int id, out Vector3 value)
| Vector3型の値を取得する。 More...
bool | SetQuaternion (string name, Quaternion value)
| Quaternion型の値を設定する。 More...
bool | SetQuaternion (int id, Quaternion value)
| Quaternion型の値を設定する。 More...
bool | TryGetQuaternion (string name, out Quaternion value)
| Quaternion型の値を取得する。 More...
bool | TryGetQuaternion (int id, out Quaternion value)
| Quaternion型の値を取得する。 More...
Quaternion | GetQuaternion (string name, Quaternion defaultValue)
| Quaternion型の値を取得する。 More...
Quaternion | GetQuaternion (string name)
| Quaternion型の値を取得する。 More...
Quaternion | GetQuaternion (int id, Quaternion defaultValue)
| Quaternion型の値を取得する。 More...
Quaternion | GetQuaternion (int id)
| Quaternion型の値を取得する。 More...
bool | GetQuaternion (string name, out Quaternion value)
| Quaternion型の値を取得する。 More...
bool | GetQuaternion (int id, out Quaternion value)
| Quaternion型の値を取得する。 More...
bool | SetRect (string name, Rect value)
| Rect型の値を設定する。 More...
bool | SetRect (int id, Rect value)
| Rect型の値を設定する。 More...
bool | TryGetRect (string name, out Rect value)
| Rect型の値を取得する。 More...
bool | TryGetRect (int id, out Rect value)
| Rect型の値を取得する。 More...
Rect | GetRect (string name, Rect defaultValue)
| Rect型の値を取得する。 More...
Rect | GetRect (string name)
| Rect型の値を取得する。 More...
Rect | GetRect (int id, Rect defaultValue)
| Rect型の値を取得する。 More...
Rect | GetRect (int id)
| Rect型の値を取得する。 More...
bool | GetRect (string name, out Rect value)
| Rect型の値を取得する。 More...
bool | GetRect (int id, out Rect value)
| Rect型の値を取得する。 More...
bool | SetBounds (string name, Bounds value)
| Bounds型の値を設定する。 More...
bool | SetBounds (int id, Bounds value)
| Bounds型の値を設定する。 More...
bool | TryGetBounds (string name, out Bounds value)
| Bounds型の値を取得する。 More...
bool | TryGetBounds (int id, out Bounds value)
| Bounds型の値を取得する。 More...
Bounds | GetBounds (string name, Bounds defaultValue)
| Bounds型の値を取得する。 More...
Bounds | GetBounds (string name)
| Bounds型の値を取得する。 More...
Bounds | GetBounds (int id, Bounds defaultValue)
| Bounds型の値を取得する。 More...
Bounds | GetBounds (int id)
| Bounds型の値を取得する。 More...
bool | GetBounds (string name, out Bounds value)
| Bounds型の値を取得する。 More...
bool | GetBounds (int id, out Bounds value)
| Bounds型の値を取得する。 More...
bool | SetColor (string name, Color value)
| Color型の値を設定する。 More...
bool | SetColor (int id, Color value)
| Color型の値を設定する。 More...
bool | TryGetColor (string name, out Color value)
| Color型の値を取得する。 More...
bool | TryGetColor (int id, out Color value)
| Color型の値を取得する。 More...
Color | GetColor (string name, Color defaultValue)
| Color型の値を取得する。 More...
Color | GetColor (string name)
| Color型の値を取得する。 More...
Color | GetColor (int id, Color defaultValue)
| Color型の値を取得する。 More...
Color | GetColor (int id)
| Color型の値を取得する。 More...
bool | GetColor (string name, out Color value)
| Color型の値を取得する。 More...
bool | GetColor (int id, out Color value)
| Color型の値を取得する。 More...
bool | SetGameObject (string name, GameObject value)
| GameObject型の値を設定する。 More...
bool | SetGameObject (int id, GameObject value)
| GameObject型の値を設定する。 More...
bool | TryGetGameObject (string name, out GameObject value)
| GameObject型の値を取得する。 More...
bool | TryGetGameObject (int id, out GameObject value)
| GameObject型の値を取得する。 More...
GameObject | GetGameObject (string name, GameObject defaultValue=null)
| GameObject型の値を取得する。 More...
GameObject | GetGameObject (int id, GameObject defaultValue=null)
| GameObject型の値を取得する。 More...
bool | GetGameObject (string name, out GameObject value)
| GameObject型の値を取得する。 More...
bool | GetGameObject (int id, out GameObject value)
| GameObject型の値を取得する。 More...
bool | SetTransform (string name, Transform value)
| Transform型の値を設定する。 More...
bool | SetTransform (int id, Transform value)
| Transform型の値を設定する。 More...
bool | TryGetTransform (string name, out Transform value)
| Transform型の値を取得する。 More...
bool | TryGetTransform (int id, out Transform value)
| Transform型の値を取得する。 More...
Transform | GetTransform (string name, Transform defaultValue=null)
| Transform型の値を取得する。 More...
Transform | GetTransform (int id, Transform defaultValue=null)
| Transform型の値を取得する。 More...
bool | GetTransform (string name, out Transform value)
| Transform型の値を取得する。 More...
bool | GetTransform (int id, out Transform value)
| Transform型の値を取得する。 More...
bool | SetRectTransform (string name, RectTransform value)
| RectTransform型の値を設定する。 More...
bool | SetRectTransform (int id, RectTransform value)
| RectTransform型の値を設定する。 More...
bool | TryGetRectTransform (string name, out RectTransform value)
| RectTransform型の値を取得する。 More...
bool | TryGetRectTransform (int id, out RectTransform value)
| RectTransform型の値を取得する。 More...
RectTransform | GetRectTransform (string name, RectTransform defaultValue=null)
| RectTransform型の値を取得する。 More...
RectTransform | GetRectTransform (int id, RectTransform defaultValue=null)
| RectTransform型の値を取得する。 More...
bool | GetRectTransform (string name, out RectTransform value)
| RectTransform型の値を取得する。 More...
bool | GetRectTransform (int id, out RectTransform value)
| RectTransform型の値を取得する。 More...
bool | SetRigidbody (string name, Rigidbody value)
| Rigidbody型の値を設定する。 More...
bool | SetRigidbody (int id, Rigidbody value)
| Rigidbody型の値を設定する。 More...
bool | TryGetRigidbody (string name, out Rigidbody value)
| Rigidbody型の値を取得する。 More...
bool | TryGetRigidbody (int id, out Rigidbody value)
| Rigidbody型の値を取得する。 More...
Rigidbody | GetRigidbody (string name, Rigidbody defaultValue=null)
| Rigidbody型の値を取得する。 More...
Rigidbody | GetRigidbody (int id, Rigidbody defaultValue=null)
| Rigidbody型の値を取得する。 More...
bool | GetRigidbody (string name, out Rigidbody value)
| Rigidbody型の値を取得する。 More...
bool | GetRigidbody (int id, out Rigidbody value)
| Rigidbody型の値を取得する。 More...
bool | SetRigidbody2D (string name, Rigidbody2D value)
| Rigidbody2D型の値を設定する。 More...
bool | SetRigidbody2D (int id, Rigidbody2D value)
| Rigidbody2D型の値を設定する。 More...
bool | TryGetRigidbody2D (string name, out Rigidbody2D value)
| Rigidbody2D型の値を取得する。 More...
bool | TryGetRigidbody2D (int id, out Rigidbody2D value)
| Rigidbody2D型の値を取得する。 More...
Rigidbody2D | GetRigidbody2D (string name, Rigidbody2D defaultValue=null)
| Rigidbody2D型の値を取得する。 More...
Rigidbody2D | GetRigidbody2D (int id, Rigidbody2D defaultValue=null)
| Rigidbody2D型の値を取得する。 More...
bool | GetRigidbody2D (string name, out Rigidbody2D value)
| Rigidbody2D型の値を取得する。 More...
bool | GetRigidbody2D (int id, out Rigidbody2D value)
| Rigidbody2D型の値を取得する。 More...
bool | SetComponent (string name, Component value)
| Component型の値を設定する。 More...
bool | SetComponent (int id, Component value)
| Component型の値を設定する。 More...
bool | TryGetComponent (string name, out Component value)
| Component型の値を取得する。 More...
bool | TryGetComponent (int id, out Component value)
| Component型の値を取得する。 More...
Component | GetComponent (string name, Component defaultValue=null)
| Component型の値を取得する。 More...
Component | GetComponent (int id, Component defaultValue=null)
| Component型の値を取得する。 More...
bool | SetComponent< TComponent > (string name, TComponent value)
| Component型の値を設定する。 More...
bool | SetComponent< TComponent > (int id, TComponent value)
| Component型の値を設定する。 More...
bool | TryGetComponent< TComponent > (string name, out TComponent value)
| Component型の値を取得する。 More...
bool | TryGetComponent< TComponent > (int id, out TComponent value)
| Component型の値を取得する。 More...
TComponent | GetComponent< TComponent > (string name, TComponent defaultValue=null)
| Component型の値を取得する。 More...
TComponent | GetComponent< TComponent > (int id, TComponent defaultValue=null)
| Component型の値を取得する。 More...
bool | SetVariable (string name, object value)
| Variableの値を設定する。 More...
bool | SetVariable (int id, object value)
| Variableの値を設定する。 More...
bool | TryGetVariable (string name, out object value)
| Variableの値を取得する。 More...
bool | TryGetVariable (int id, out object value)
| Variableの値を取得する。 More...
object | GetVariable (string name, object defaultValue=null)
| Variableの値を取得する。 More...
object | GetVariable (int id, object defaultValue=null)
| Variableの値を取得する。 More...
bool | SetVariable< TVariable > (string name, TVariable value)
| Variableの値を設定する。 More...
bool | SetVariable< TVariable > (int id, TVariable value)
| Variableの値を設定する。 More...
bool | TryGetVariable< TVariable > (string name, out TVariable value)
| Variableの値を取得する。 More...
bool | TryGetVariable< TVariable > (int id, out TVariable value)
| Variableの値を取得する。 More...
TVariable | GetVariable< TVariable > (string name, TVariable defaultValue=default(TVariable))
| Variableの値を取得する。 More...
TVariable | GetVariable< TVariable > (int id, TVariable defaultValue=default(TVariable))
| Variableの値を取得する。 More...
Parameter | FindParameterContainsVariable (VariableBase variable)
| VariableBaseが属しているParameterの取得。 More...
void | DestroySubComponents ()
| 内部的に使用するメソッド。特に呼び出す必要はありません。 More...

## Static Public Member Functions
static void | Destroy (ParameterContainerInternal parameterContainer)
| ParameterContainerInternalの破棄 More...

## Properties
Parameter[] | parameters`[get]`
| パラメータの配列を取得。 More...
int | parameterCount`[get]`
| Parameterの数を取得。 More...
bool | isDeserialized`[get]`
| デシリアライズ済みかどうかを返す。 More...
Properties inherited from ParameterContainerBase
ParameterContainerInternal | container`[get]`
| 実体のParameterContainerを返す。 More...
ParameterContainerInternal | defaultContainer`[get]`
| 元のParameterContainerを返す。 More...

## Events
System.Action | onAfterDeserialize
| デシリアライズ後のコールバック More...

## Detailed Description

パラメータコンテナ。 GameObjectにアタッチして使用する。

## Member Function Documentation

Parameter AddParam | ( | string | name,
|  | Parameter.Type | type
| ) |  |

パラメータを追加する。

Parameters

  name | 名前。nameが重複していた場合はユニークな名前に変更される。
  type | 型。

Returns
  追加されたパラメータ。

void DeleteParam | ( | Parameter | parameter | ) |

パラメータを削除する。

Parameters

  parameter | パラメータ。

void DeleteParam | ( | string | name | ) |

名前を指定してパラメータを削除する。

Parameters

  name | 名前。

void DeleteParam | ( | int | id | ) |

IDを指定してパラメータを削除する。

Parameters

  id | ID。

static void Destroy | ( | ParameterContainerInternal | parameterContainer | ) |
| static

ParameterContainerInternalの破棄

Parameters

  parameterContainer | ParameterContainerInternal

void DestroySubComponents | ( |  | ) |

内部的に使用するメソッド。特に呼び出す必要はありません。

Parameter FindParameterContainsVariable | ( | VariableBase | variable | ) |

VariableBaseが属しているParameterの取得。

Parameters

  variable | VariableBase

Returns
  VariableBaseが属しているParameter。ない場合はnullを返す。

bool GetBool | ( | string | name,
|  | bool | defaultValue = `false`
| ) |  |

Bool型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

bool GetBool | ( | int | id,
|  | bool | defaultValue = `false`
| ) |  |

Bool型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

bool GetBool | ( | string | name,
|  | out bool | value
| ) |  |

Bool型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetBool | ( | int | id,
|  | out bool | value
| ) |  |

Bool型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Bounds GetBounds | ( | string | name,
|  | Bounds | defaultValue
| ) |  |

Bounds型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Bounds GetBounds | ( | string | name | ) |

Bounds型の値を取得する。

Parameters

  name | 名前。

Returns
  パラメータの値。パラメータがない場合は0 Boundsを返す。

Bounds GetBounds | ( | int | id,
|  | Bounds | defaultValue
| ) |  |

Bounds型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Bounds GetBounds | ( | int | id | ) |

Bounds型の値を取得する。

Parameters

  id | ID。

Returns
  パラメータの値。パラメータがない場合は0 Boundsを返す。

bool GetBounds | ( | string | name,
|  | out Bounds | value
| ) |  |

Bounds型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetBounds | ( | int | id,
|  | out Bounds | value
| ) |  |

Bounds型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Color GetColor | ( | string | name,
|  | Color | defaultValue
| ) |  |

Color型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Color GetColor | ( | string | name | ) |

Color型の値を取得する。

Parameters

  name | 名前。

Returns
  パラメータの値。パラメータがない場合はColor.whiteを返す。

Color GetColor | ( | int | id,
|  | Color | defaultValue
| ) |  |

Color型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Color GetColor | ( | int | id | ) |

Color型の値を取得する。

Parameters

  id | ID。

Returns
  パラメータの値。パラメータがない場合はColor.whiteを返す。

bool GetColor | ( | string | name,
|  | out Color | value
| ) |  |

Color型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetColor | ( | int | id,
|  | out Color | value
| ) |  |

Color型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Component GetComponent | ( | string | name,
|  | Component | defaultValue = `null`
| ) |  |

Component型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  指定した名前のパラメータがあった場合にtrue。

Component GetComponent | ( | int | id,
|  | Component | defaultValue = `null`
| ) |  |

Component型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  指定した名前のパラメータがあった場合にtrue。

TComponent GetComponent< TComponent > | ( | string | name,
|  | TComponent | defaultValue = `null`
| ) |  |

Component型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Type Constraints

  TComponent | : | Component |

TComponent GetComponent< TComponent > | ( | int | id,
|  | TComponent | defaultValue = `null`
| ) |  |

Component型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Type Constraints

  TComponent | : | Component |

System.Enum GetEnum | ( | string | name,
|  | System.Enum | defaultValue = `null`
| ) |  |

Enum型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

System.Enum GetEnum | ( | int | id,
|  | System.Enum | defaultValue = `null`
| ) |  |

Enum型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

TEnum GetEnum< TEnum > | ( | string | name,
|  | TEnum | defaultValue
| ) |  |

Enum型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Type Constraints

  TEnum | : | struct |

TEnum GetEnum< TEnum > | ( | string | name | ) |

Enum型の値を取得する。

Parameters

  name | 名前。

Returns
  パラメータの値。パラメータがない場合はdefault(TEnum)を返す。

Type Constraints

  TEnum | : | struct |

TEnum GetEnum< TEnum > | ( | int | id,
|  | TEnum | defaultValue
| ) |  |

Enum型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Type Constraints

  TEnum | : | struct |

TEnum GetEnum< TEnum > | ( | int | id | ) |

Enum型の値を取得する。

Parameters

  id | ID。

Returns
  パラメータの値。パラメータがない場合はdefault(TEnum)を返す。

Type Constraints

  TEnum | : | struct |

int GetEnumInt | ( | string | name,
|  | int | defaultValue = `default(int)`
| ) |  |

Enum型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

int GetEnumInt | ( | int | id,
|  | int | defaultValue = `default(int)`
| ) |  |

Enum型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

float GetFloat | ( | string | name,
|  | float | defaultValue = `0.0f`
| ) |  |

Float型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

float GetFloat | ( | int | id,
|  | float | defaultValue = `0.0f`
| ) |  |

Float型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

bool GetFloat | ( | string | name,
|  | out float | value
| ) |  |

Float型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetFloat | ( | int | id,
|  | out float | value
| ) |  |

Float型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

GameObject GetGameObject | ( | string | name,
|  | GameObject | defaultValue = `null`
| ) |  |

GameObject型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

GameObject GetGameObject | ( | int | id,
|  | GameObject | defaultValue = `null`
| ) |  |

GameObject型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

bool GetGameObject | ( | string | name,
|  | out GameObject | value
| ) |  |

GameObject型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetGameObject | ( | int | id,
|  | out GameObject | value
| ) |  |

GameObject型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

int GetInt | ( | int | id,
|  | int | defaultValue = `0`
| ) |  |

Int型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

int GetInt | ( | string | name,
|  | int | defaultValue = `0`
| ) |  |

Int型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

bool GetInt | ( | string | name,
|  | out int | value
| ) |  |

Int型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetInt | ( | int | id,
|  | out int | value
| ) |  |

Int型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

long GetLong | ( | string | name,
|  | long | defaultValue = `0L`
| ) |  |

Long型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

long GetLong | ( | int | id,
|  | long | defaultValue = `0L`
| ) |  |

Long型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

bool GetLong | ( | string | name,
|  | out long | value
| ) |  |

Long型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetLong | ( | int | id,
|  | out long | value
| ) |  |

Long型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Parameter GetParam | ( | string | name | ) |

名前からパラメータを取得する。

Parameters

  name | 名前。

Returns
  パラメータ。存在しなかった場合はnullを返す。

Parameter GetParam | ( | int | id | ) |

IDからパラメータを取得する。

Parameters

  id | ID。

Returns
  パラメータ。存在しなかった場合はnullを返す。

Parameter GetParameterFromIndex | ( | int | index | ) |

Parameterをインデックスから取得

Parameters

  index | インデックス

Returns
  Parameter

int GetParamID | ( | string | name | ) |

名前からパラメータのIDを取得する。

Parameters

  name | 名前。

Returns
  パラメータのID。存在しなかった場合は0を返す。

Quaternion GetQuaternion | ( | string | name,
|  | Quaternion | defaultValue
| ) |  |

Quaternion型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Quaternion GetQuaternion | ( | string | name | ) |

Quaternion型の値を取得する。

Parameters

  name | 名前。

Returns
  パラメータの値。パラメータがない場合はQuaternion.identityを返す。

Quaternion GetQuaternion | ( | int | id,
|  | Quaternion | defaultValue
| ) |  |

Quaternion型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Quaternion GetQuaternion | ( | int | id | ) |

Quaternion型の値を取得する。

Parameters

  id | ID。

Returns
  パラメータの値。パラメータがない場合はQuaternion.identityを返す。

bool GetQuaternion | ( | string | name,
|  | out Quaternion | value
| ) |  |

Quaternion型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetQuaternion | ( | int | id,
|  | out Quaternion | value
| ) |  |

Quaternion型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Rect GetRect | ( | string | name,
|  | Rect | defaultValue
| ) |  |

Rect型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Rect GetRect | ( | string | name | ) |

Rect型の値を取得する。

Parameters

  name | 名前。

Returns
  パラメータの値。パラメータがない場合はRect(0, 0, 0, 0)を返す。

Rect GetRect | ( | int | id,
|  | Rect | defaultValue
| ) |  |

Rect型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Rect GetRect | ( | int | id | ) |

Rect型の値を取得する。

Parameters

  id | ID。

Returns
  パラメータの値。パラメータがない場合はRect(0, 0, 0, 0)を返す。

bool GetRect | ( | string | name,
|  | out Rect | value
| ) |  |

Rect型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetRect | ( | int | id,
|  | out Rect | value
| ) |  |

Rect型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

RectTransform GetRectTransform | ( | string | name,
|  | RectTransform | defaultValue = `null`
| ) |  |

RectTransform型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

RectTransform GetRectTransform | ( | int | id,
|  | RectTransform | defaultValue = `null`
| ) |  |

RectTransform型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

bool GetRectTransform | ( | string | name,
|  | out RectTransform | value
| ) |  |

RectTransform型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetRectTransform | ( | int | id,
|  | out RectTransform | value
| ) |  |

RectTransform型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Rigidbody GetRigidbody | ( | string | name,
|  | Rigidbody | defaultValue = `null`
| ) |  |

Rigidbody型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Rigidbody GetRigidbody | ( | int | id,
|  | Rigidbody | defaultValue = `null`
| ) |  |

Rigidbody型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

bool GetRigidbody | ( | string | name,
|  | out Rigidbody | value
| ) |  |

Rigidbody型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetRigidbody | ( | int | id,
|  | out Rigidbody | value
| ) |  |

Rigidbody型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Rigidbody2D GetRigidbody2D | ( | string | name,
|  | Rigidbody2D | defaultValue = `null`
| ) |  |

Rigidbody2D型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  指定した名前のパラメータがあった場合にtrue。

Rigidbody2D GetRigidbody2D | ( | int | id,
|  | Rigidbody2D | defaultValue = `null`
| ) |  |

Rigidbody2D型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetRigidbody2D | ( | string | name,
|  | out Rigidbody2D | value
| ) |  |

Rigidbody2D型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetRigidbody2D | ( | int | id,
|  | out Rigidbody2D | value
| ) |  |

Rigidbody2D型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

string GetString | ( | string | name,
|  | string | defaultValue = `""`
| ) |  |

String型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

string GetString | ( | int | id,
|  | string | defaultValue = `""`
| ) |  |

String型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

bool GetString | ( | string | name,
|  | out string | value
| ) |  |

String型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetString | ( | int | id,
|  | out string | value
| ) |  |

String型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Transform GetTransform | ( | string | name,
|  | Transform | defaultValue = `null`
| ) |  |

Transform型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Transform GetTransform | ( | int | id,
|  | Transform | defaultValue = `null`
| ) |  |

Transform型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

bool GetTransform | ( | string | name,
|  | out Transform | value
| ) |  |

Transform型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetTransform | ( | int | id,
|  | out Transform | value
| ) |  |

Transform型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

object GetVariable | ( | string | name,
|  | object | defaultValue = `null`
| ) |  |

Variableの値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

object GetVariable | ( | int | id,
|  | object | defaultValue = `null`
| ) |  |

Variableの値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

TVariable GetVariable< TVariable > | ( | string | name,
|  | TVariable | defaultValue = `default(TVariable)`
| ) |  |

Variableの値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

TVariable GetVariable< TVariable > | ( | int | id,
|  | TVariable | defaultValue = `default(TVariable)`
| ) |  |

Variableの値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Vector2 GetVector2 | ( | string | name,
|  | Vector2 | defaultValue
| ) |  |

Vector2型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Vector2 GetVector2 | ( | string | name | ) |

Vector2型の値を取得する。

Parameters

  name | 名前。

Returns
  パラメータの値。パラメータがない場合はVector2.zeroを返す。

Vector2 GetVector2 | ( | int | id,
|  | Vector2 | defaultValue
| ) |  |

Vector2型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Vector2 GetVector2 | ( | int | id | ) |

Vector2型の値を取得する。

Parameters

  id | ID。

Returns
  パラメータの値。パラメータがない場合はVector2.zeroを返す。

bool GetVector2 | ( | string | name,
|  | out Vector2 | value
| ) |  |

Vector2型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetVector2 | ( | int | id,
|  | out Vector2 | value
| ) |  |

Vector2型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Vector3 GetVector3 | ( | string | name,
|  | Vector3 | defaultValue
| ) |  |

Vector3型の値を取得する。

Parameters

  name | 名前。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Vector3 GetVector3 | ( | string | name | ) |

Vector3型の値を取得する。

Parameters

  name | 名前。

Returns
  パラメータの値。パラメータがない場合はVector3.zeroを返す。

Vector3 GetVector3 | ( | int | id,
|  | Vector3 | defaultValue
| ) |  |

Vector3型の値を取得する。

Parameters

  id | ID。
  defaultValue | デフォルトの値。パラメータがない場合に返される。

Returns
  パラメータの値。パラメータがない場合はdefaultValueを返す。

Vector3 GetVector3 | ( | int | id | ) |

Vector3型の値を取得する。

Parameters

  id | ID。

Returns
  パラメータの値。パラメータがない場合はVector3.zeroを返す。

bool GetVector3 | ( | string | name,
|  | out Vector3 | value
| ) |  |

Vector3型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool GetVector3 | ( | int | id,
|  | out Vector3 | value
| ) |  |

Vector3型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool IsEnum | ( | int | id | ) |

パラメータがEnum型であるかどうかを返す。

Parameters

  id | ID。

Returns
  Enum型であればtrueを返す。

bool IsEnum | ( | string | name | ) |

パラメータがEnum型であるかどうかを返す。

Parameters

  name | 名前。

Returns
  Enum型であればtrueを返す。

bool IsParameterType | ( | string | name,
|  | Parameter.Type | type
| ) |  |

パラメータの型を判定する。

Parameters

  name | 名前。
  type | パラメータの型。

Returns
  パラメータの型がtypeと一致する場合にtrueを返す。

bool IsParameterType | ( | int | id,
|  | Parameter.Type | type
| ) |  |

パラメータの型を判定する。

Parameters

  id | ID。
  type | パラメータの型。

Returns
  パラメータの型がtypeと一致する場合にtrueを返す。

string MakeUniqueName | ( | string | name | ) |

重複しない名前を生成する。

Parameters

  name | 元の名前。

Returns
  結果の名前。

void Refresh | ( |  | ) |

Editor only

bool SetBool | ( | string | name,
|  | bool | value
| ) |  |

Bool型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetBool | ( | int | id,
|  | bool | value
| ) |  |

Bool型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetBounds | ( | string | name,
|  | Bounds | value
| ) |  |

Bounds型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetBounds | ( | int | id,
|  | Bounds | value
| ) |  |

Bounds型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetColor | ( | string | name,
|  | Color | value
| ) |  |

Color型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetColor | ( | int | id,
|  | Color | value
| ) |  |

Color型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetComponent | ( | string | name,
|  | Component | value
| ) |  |

Component型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetComponent | ( | int | id,
|  | Component | value
| ) |  |

Component型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetComponent< TComponent > | ( | string | name,
|  | TComponent | value
| ) |  |

Component型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Type Constraints

  TComponent | : | Component |

bool SetComponent< TComponent > | ( | int | id,
|  | TComponent | value
| ) |  |

Component型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Type Constraints

  TComponent | : | Component |

bool SetEnum | ( | string | name,
|  | System.Enum | value
| ) |  |

Enum型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetEnum | ( | int | id,
|  | System.Enum | value
| ) |  |

Enum型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetEnum< TEnum > | ( | string | name,
|  | TEnum | value
| ) |  |

Enum型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Type Constraints

  TEnum | : | struct |

bool SetEnum< TEnum > | ( | int | id,
|  | TEnum | value
| ) |  |

Enum型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Type Constraints

  TEnum | : | struct |

bool SetEnumInt | ( | string | name,
|  | int | value
| ) |  |

Enum型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetEnumInt | ( | int | id,
|  | int | value
| ) |  |

Enum型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetFloat | ( | string | name,
|  | float | value
| ) |  |

Float型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetFloat | ( | int | id,
|  | float | value
| ) |  |

Float型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetGameObject | ( | string | name,
|  | GameObject | value
| ) |  |

GameObject型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetGameObject | ( | int | id,
|  | GameObject | value
| ) |  |

GameObject型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetInt | ( | string | name,
|  | int | value
| ) |  |

Int型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetInt | ( | int | id,
|  | int | value
| ) |  |

Int型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetLong | ( | string | name,
|  | long | value
| ) |  |

Long型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetLong | ( | int | id,
|  | long | value
| ) |  |

Long型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetQuaternion | ( | string | name,
|  | Quaternion | value
| ) |  |

Quaternion型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetQuaternion | ( | int | id,
|  | Quaternion | value
| ) |  |

Quaternion型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetRect | ( | string | name,
|  | Rect | value
| ) |  |

Rect型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetRect | ( | int | id,
|  | Rect | value
| ) |  |

Rect型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetRectTransform | ( | string | name,
|  | RectTransform | value
| ) |  |

RectTransform型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetRectTransform | ( | int | id,
|  | RectTransform | value
| ) |  |

RectTransform型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetRigidbody | ( | string | name,
|  | Rigidbody | value
| ) |  |

Rigidbody型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetRigidbody | ( | int | id,
|  | Rigidbody | value
| ) |  |

Rigidbody型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetRigidbody2D | ( | string | name,
|  | Rigidbody2D | value
| ) |  |

Rigidbody2D型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetRigidbody2D | ( | int | id,
|  | Rigidbody2D | value
| ) |  |

Rigidbody2D型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetString | ( | string | name,
|  | string | value
| ) |  |

String型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetString | ( | int | id,
|  | string | value
| ) |  |

String型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetTransform | ( | string | name,
|  | Transform | value
| ) |  |

Transform型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetTransform | ( | int | id,
|  | Transform | value
| ) |  |

Transform型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetVariable | ( | string | name,
|  | object | value
| ) |  |

Variableの値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetVariable | ( | int | id,
|  | object | value
| ) |  |

Variableの値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetVariable< TVariable > | ( | string | name,
|  | TVariable | value
| ) |  |

Variableの値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetVariable< TVariable > | ( | int | id,
|  | TVariable | value
| ) |  |

Variableの値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetVector2 | ( | string | name,
|  | Vector2 | value
| ) |  |

Vector2型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetVector2 | ( | int | id,
|  | Vector2 | value
| ) |  |

Vector2型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetVector3 | ( | string | name,
|  | Vector3 | value
| ) |  |

Vector3型の値を設定する。

Parameters

  name | 名前。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool SetVector3 | ( | int | id,
|  | Vector3 | value
| ) |  |

Vector3型の値を設定する。

Parameters

  id | ID。
  value | 値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetBool | ( | string | name,
|  | out bool | value
| ) |  |

Bool型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetBool | ( | int | id,
|  | out bool | value
| ) |  |

Bool型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetBounds | ( | string | name,
|  | out Bounds | value
| ) |  |

Bounds型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetBounds | ( | int | id,
|  | out Bounds | value
| ) |  |

Bounds型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetColor | ( | string | name,
|  | out Color | value
| ) |  |

Color型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetColor | ( | int | id,
|  | out Color | value
| ) |  |

Color型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetComponent | ( | string | name,
|  | out Component | value
| ) |  |

Component型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetComponent | ( | int | id,
|  | out Component | value
| ) |  |

Component型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetComponent< TComponent > | ( | string | name,
|  | out TComponent | value
| ) |  |

Component型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Type Constraints

  TComponent | : | Component |

bool TryGetComponent< TComponent > | ( | int | id,
|  | out TComponent | value
| ) |  |

Component型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Type Constraints

  TComponent | : | Component |

bool TryGetEnum | ( | string | name,
|  | out System.Enum | value
| ) |  |

Enum型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetEnum | ( | int | id,
|  | out System.Enum | value
| ) |  |

Enum型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetEnum< TEnum > | ( | string | name,
|  | out TEnum | value
| ) |  |

Enum型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Type Constraints

  TEnum | : | struct |

bool TryGetEnum< TEnum > | ( | int | id,
|  | out TEnum | value
| ) |  |

Enum型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

Type Constraints

  TEnum | : | struct |

bool TryGetEnumInt | ( | string | name,
|  | out int | value
| ) |  |

Enum型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetEnumInt | ( | int | id,
|  | out int | value
| ) |  |

Enum型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetFloat | ( | string | name,
|  | out float | value
| ) |  |

Float型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetFloat | ( | int | id,
|  | out float | value
| ) |  |

Float型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetGameObject | ( | string | name,
|  | out GameObject | value
| ) |  |

GameObject型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetGameObject | ( | int | id,
|  | out GameObject | value
| ) |  |

GameObject型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetInt | ( | string | name,
|  | out int | value
| ) |  |

Int型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetInt | ( | int | id,
|  | out int | value
| ) |  |

Int型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetLong | ( | string | name,
|  | out long | value
| ) |  |

Long型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetLong | ( | int | id,
|  | out long | value
| ) |  |

Long型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetQuaternion | ( | string | name,
|  | out Quaternion | value
| ) |  |

Quaternion型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetQuaternion | ( | int | id,
|  | out Quaternion | value
| ) |  |

Quaternion型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetRect | ( | string | name,
|  | out Rect | value
| ) |  |

Rect型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetRect | ( | int | id,
|  | out Rect | value
| ) |  |

Rect型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetRectTransform | ( | string | name,
|  | out RectTransform | value
| ) |  |

RectTransform型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetRectTransform | ( | int | id,
|  | out RectTransform | value
| ) |  |

RectTransform型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetRigidbody | ( | string | name,
|  | out Rigidbody | value
| ) |  |

Rigidbody型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetRigidbody | ( | int | id,
|  | out Rigidbody | value
| ) |  |

Rigidbody型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetRigidbody2D | ( | string | name,
|  | out Rigidbody2D | value
| ) |  |

Rigidbody2D型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetRigidbody2D | ( | int | id,
|  | out Rigidbody2D | value
| ) |  |

Rigidbody2D型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetString | ( | string | name,
|  | out string | value
| ) |  |

String型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetString | ( | int | id,
|  | out string | value
| ) |  |

String型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetTransform | ( | string | name,
|  | out Transform | value
| ) |  |

Transform型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetTransform | ( | int | id,
|  | out Transform | value
| ) |  |

Transform型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetVariable | ( | string | name,
|  | out object | value
| ) |  |

Variableの値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetVariable | ( | int | id,
|  | out object | value
| ) |  |

Variableの値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetVariable< TVariable > | ( | string | name,
|  | out TVariable | value
| ) |  |

Variableの値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetVariable< TVariable > | ( | int | id,
|  | out TVariable | value
| ) |  |

Variableの値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetVector2 | ( | string | name,
|  | out Vector2 | value
| ) |  |

Vector2型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetVector2 | ( | int | id,
|  | out Vector2 | value
| ) |  |

Vector2型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetVector3 | ( | string | name,
|  | out Vector3 | value
| ) |  |

Vector3型の値を取得する。

Parameters

  name | 名前。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

bool TryGetVector3 | ( | int | id,
|  | out Vector3 | value
| ) |  |

Vector3型の値を取得する。

Parameters

  id | ID。
  value | 取得する値。

Returns
  指定した名前のパラメータがあった場合にtrue。

## Property Documentation

bool isDeserialized
| get

デシリアライズ済みかどうかを返す。

int parameterCount
| get

Parameterの数を取得。

Parameter [] parameters
| get

パラメータの配列を取得。

## Event Documentation

System.Action onAfterDeserialize

デシリアライズ後のコールバック